# SENTUserContext

The context includes:

* a list of recent events, such as stationaries and transports;
* the user's active segments at the time this context was constructed;
* the user's home and work locations;
* the user's last know location, if SDK detections were running;
* the user's current semantic time (e.g. morning, lunch, afternoon).

### events

Returns a list of recent events, composed of stationaries, transports, and off-the-grids.

The list is ordered from the most recent event to the oldest one, and includes the last detected event at the time this context was constructed, plus all preceding events up until the last stationary or off-the-grid.

```
@property (nonatomic, strong, nonnull) NSArray<SENTTimelineEvent *> *events;
```

### activeSegments

Returns the active segments detected for the user at the time this context was constructed.

```
@property (nonatomic, strong, nonnull) NSArray<SENTSegment *> *activeSegments;
```

### lastKnownLocation

Returns the user's last known location at the time this context was constructed. If the user's last detected event was off-the-grid, or no location information was available, nil is returned instead.

```
@property (nonatomic, strong, nullable) SENTGeolocation *lastKnownLocation;
```

### home

Returns the user's home location if known, otherwise returns nil.

```
@property (nonatomic, strong, nullable) SENTVenue *home;
```

### work

Returns the user's work location if known, otherwise returns nil.

```
@property (nonatomic, strong, nullable) SENTVenue *work
```

### semanticTime:

Return's the user's current semantic time, as [SENTSemanticTime](/important-topics/sdk/api-reference/ios/user-context/sentsemantictime.md).

```
@property (nonatomic, assign) SENTSemanticTime semanticTime;
```

### isEqualToUserContext:

```
- (BOOL)isEqualToUserContext:(SENTUserContext *)userContext;
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/ios/user-context/sentusercontext.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
